package com.css.simulation.resource.server.adapter.controller.job_manage;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.group.SimulationMageGroupParam;
import api.common.pojo.po.group.SimulationMageGroupPO;
import com.css.simulation.resource.server.app.service.job_manage.SimulationMageGroupService;
import com.github.pagehelper.PageInfo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 工作台模块--项目运行
 */
@RestController
@RequestMapping("/simulationMageGroup")
public class SimulationMageGroupController {

    @Resource
    private SimulationMageGroupService groupService;


    @RequestMapping("/selectAllSimulationMageGroupList")
    public ResponseBodyVO<List<SimulationMageGroupPO>> selectAllSimulationMageGroupList(@RequestBody SimulationMageGroupParam param) {
        return groupService.selectAllSimulationMageGroupList(param);
    }

    @RequestMapping("/selectSimulationMapList")
    public ResponseBodyVO<PageInfo<SimulationMageGroupPO>> selectSimulationMapList(@RequestBody SimulationMageGroupParam param) {
        return groupService.selectSimulationMageGroupList(param);
    }

    @RequestMapping("/getSimulationMageGroup")
    public ResponseBodyVO<SimulationMageGroupPO> getSimulationMageGroup(@RequestBody SimulationMageGroupParam param) {
        return groupService.getSimulationMageGroup(param);
    }

    @RequestMapping("/updateSimulationMageGroup")
    public ResponseBodyVO updateSimulationMageGroup(@RequestBody SimulationMageGroupParam param) {
        return groupService.updateSimulationMageGroup(param);
    }

    @RequestMapping("/deleteSimulationMageGroup")
    public ResponseBodyVO deleteSimulationMageGroup(@RequestBody List<SimulationMageGroupParam> paramList) {
        return groupService.deleteSimulationMageGroup(paramList);
    }

    @RequestMapping("/addSimulationMageGroup")
    public ResponseBodyVO addSimulationMageGroup(@RequestBody SimulationMageGroupParam param) {
        return groupService.addSimulationMageGroup(param);
    }
}
